import { NgModule } from '@angular/core';
import { CommonUiModule } from '@common/ui/common-ui.module';
import { GuestComponent } from './guest.component';
import { GuestRoutingModule } from './guest.routing';
import { SignInDialogModule } from '@common/modules/sign-in-dialog/sign-in-dialog.module';

@NgModule({
	imports: [
		CommonUiModule,
		GuestRoutingModule,
		SignInDialogModule
	],
	declarations: [
		GuestComponent
	]
})
export class GuestModule { }
